View Issue Details

IDProjectCategoryView StatusLast Update
0000039Far Manager 1.7xViewerpublic2007-10-15 14:08
Reporteral666Assigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version2000/XP
Product Version 
Target VersionFixed in Version1.71 
Summary0000039: Неверное выделение найденного во вьюере
DescriptionПри наличии в просматриваемом файле одиночного символа \x0D (без парного \x0A), происходит неадекватное выделение найденного текста.
Steps To ReproduceОткрываем во вьюере приаттаченный файл, состоящий из 6 байт: 61 0D 0A 62 0D 63.
Ищем (F7) строку "c", без кавычек.
Но выделяется не один символ "c" (как ожидалось), а еще и значок с кодом 0D.
TagsNo tags attached.
Build0

Activities

2005-10-25 19:17

 

viewer_select_found_bug.zip (194 bytes)

samlyukov

2007-10-10 06:56

reporter   bugnote:0000651

2268, на прилагаемом файле ищу
'a' - выделяется 'a'
'b' - выделяется 'b'
'c' - тоже выделяется 'c'

что там было не так, напомни...

al666

2007-10-10 15:55

reporter   bugnote:0000655

В билдах 2232 и 2268 больше не повторяется.

Issue History

Date Modified Username Field Change
2005-10-25 19:17 al666 New Issue
2005-10-25 19:17 al666 File Added: viewer_select_found_bug.zip
2006-04-04 10:56 vskirdin Project Far Manager 1.7x => @11@
2006-04-04 17:30 alexy Project @11@ => Far Manager 1.7x
2007-10-10 06:56 samlyukov Note Added: 0000651
2007-10-10 15:55 al666 Status new => resolved
2007-10-10 15:55 al666 Resolution open => fixed
2007-10-10 15:55 al666 Assigned To => al666
2007-10-10 15:55 al666 Note Added: 0000655
2007-10-11 11:17 vskirdin Build => 0
2007-10-11 11:17 vskirdin Status resolved => closed
2007-10-11 11:18 vskirdin Fixed in Version => 1.71
2007-10-15 14:08 alexy Assigned To al666 => vskirdin
2007-10-15 14:08 alexy Product Version alpha 6 =>